Bug 104328 - [MAINTAINER] security/libprelude: update to 0.9.11
[MAINTAINER] security/libprelude: update to 0.9.11
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: clsung
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 10:20 UTC by r.gruyters
Modified: 2006-11-27 01:22 UTC (History)
0 users

See Also:


Attachments
libprelude-0.9.11.patch (2.21 KB, patch)
2006-10-12 10:20 UTC, r.gruyters
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r.gruyters 2006-10-12 10:20:14 UTC
- Update to 0.9.11

Changelog libprelude:
- Hook class comparison function. Accept NULL, equal, not equal operator.
- Introduce better error checking in the idmef-class API, which is now
  considered public and might be used by external application. Rename
  error code to reflect the API.
- Change to the way IDMEF listed element are handled. Specifying negative
  number as the position of the element from the low level API now allow
  to position the element at the specified (reversed) index. Using the
  high level API a negative index permit to address a list of element
  backward (replace an element).
- Build fixes for SWIG > 1.3.27.
- Modify idmef_value_match() so that it always unroll listed value
  (do it for both val1 and val2. Remove assertion, and let
  idmef_value_type_compare() return an error code in case there is an issue.
- Handle path using IDMEF_LIST_APPEND or IDMEF_LIST_PREPEND as
  path using an undefined list index on idmef_path_get() call.
- Make criteria parser accept (*) list index.
- Implement comparison function for all IDMEF object.

Also due to library update, need to change the libdepends for the following
port packages:
- securiy/libpreludedb
- security/prelude-manager
- security/prelude-lml
- www/py-prewikka
- security/snort
- security/samhain

  LIBDEPENDS=	prelude.10:${PORTSDIR}/security/libprelude
Comment 1 clsung freebsd_committer 2006-10-12 10:31:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 2 r.gruyters 2006-10-23 13:55:29 UTC
Hi ya Cheng,

Is there a reason why this one is still pending?

Regards,

Robin Gruyters
Network and Security Engineer
Yirdis B.V.
I: http://yirdis.com
P: +31 (0)36 5300394
F: +31 (0)36 5489119


Quoting FreeBSD-gnats-submit@FreeBSD.org:

> Thank you very much for your problem report.
> It has the internal identification `ports/104328'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=104328
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       [MAINTAINER] security/libprelude: update to 0.9.11
>> Arrival-Date:   Thu Oct 12 09:20:14 GMT 2006
>
Comment 3 linimon 2006-10-23 14:30:41 UTC
On Mon, Oct 23, 2006 at 02:55:29PM +0200, Robin Gruyters wrote:
> Is there a reason why this one is still pending?

Yes, there is a ports freeze on for the 6.2 release cycle.  So unless it
fixes e.g. a security problem, it needs to wait.

mcl
Comment 4 r.gruyters 2006-10-23 14:44:19 UTC
Ok, no problem.

Regards,

Robin Gruyters
Network and Security Engineer
Yirdis B.V.
I: http://yirdis.com
P: +31 (0)36 5300394
F: +31 (0)36 5489119


Quoting Mark Linimon <linimon@lonesome.com>:

> On Mon, Oct 23, 2006 at 02:55:29PM +0200, Robin Gruyters wrote:
>> Is there a reason why this one is still pending?
>
> Yes, there is a ports freeze on for the 6.2 release cycle.  So unless it
> fixes e.g. a security problem, it needs to wait.
>
> mcl
>
Comment 5 r.gruyters 2006-10-26 10:13:38 UTC
Hello,

Due to some issues with Python, please use the following patch:

--- libprelude-0.9.11.patch begins here ---
diff -ruN --exclude=3DCVS /usr/ports/security/libprelude/Makefile =20
/data2/FreeBSD/custom_ports/security/libprelude/Makefile
--- /usr/ports/security/libprelude/Makefile     Thu Aug 10 05:52:55 2006
+++ /data2/FreeBSD/custom_ports/security/libprelude/Makefile    Thu =20
Oct 26 11:10:02 2006
@@ -4,7 +4,7 @@
  # $FreeBSD: ports/security/libprelude/Makefile,v 1.35 2006/08/10 =20
03:52:55 rafan Exp $

  PORTNAME=3D      libprelude
-PORTVERSION=3D   0.9.10.2
+PORTVERSION=3D   0.9.11
  CATEGORIES=3D    security
  MASTER_SITES=3D  http://www.prelude-ids.org/download/releases/ \
                 http://www.prelude-ids.org/download/releases/old/
@@ -37,7 +37,8 @@
  .endif

  .if defined(WITH_PYTHON)
-USE_PYTHON=3D            yes
+USE_PYTHON=3D            2.3+
+.include "${PORTSDIR}/Mk/bsd.python.mk"
  CONFIGURE_ARGS+=3D       --with-python
  PLIST_SUB+=3D            WITH_PYTHON=3D""
  .else
diff -ruN --exclude=3DCVS /usr/ports/security/libprelude/distinfo =20
/data2/FreeBSD/custom_ports/security/libprelude/distinfo
--- /usr/ports/security/libprelude/distinfo     Thu Aug 10 05:52:55 2006
+++ /data2/FreeBSD/custom_ports/security/libprelude/distinfo    Thu =20
Oct 26 11:10:06 2006
@@ -1,3 +1,3 @@
-MD5 (libprelude-0.9.10.2.tar.gz) =3D 999e9f86a23abfb05985d027610cbe8f
-SHA256 (libprelude-0.9.10.2.tar.gz) =3D =20
b7c82b6d6193100f39a39738227f3317abfc78bd0593ad306ea1b97a9352db90
-SIZE (libprelude-0.9.10.2.tar.gz) =3D 1790030
+MD5 (libprelude-0.9.11.tar.gz) =3D e0ec03daf8230829f238a1e58f10846b
+SHA256 (libprelude-0.9.11.tar.gz) =3D =20
1f1ae289bd6d4fac277e43287c5024d38a3e9eb47bc64e404b610d17de5100f6
+SIZE (libprelude-0.9.11.tar.gz) =3D 1809482
diff -ruN --exclude=3DCVS /usr/ports/security/libprelude/pkg-plist =20
/data2/FreeBSD/custom_ports/security/libprelude/pkg-plist
--- /usr/ports/security/libprelude/pkg-plist    Wed Jul 19 17:04:25 2006
+++ /data2/FreeBSD/custom_ports/security/libprelude/pkg-plist   Thu =20
Oct 26 11:10:18 2006
@@ -52,7 +52,7 @@
  include/libprelude/variable.h
  lib/libprelude.la
  lib/libprelude.so
-lib/libprelude.so.9
+lib/libprelude.so.10
  %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/Prelude.pm
  %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Prelude/.packlist
  %%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Prelude/Prelude.bs
--- libprelude-0.9.11.patch ends here ---

Regards,

Robin
Comment 6 dfilter freebsd_committer 2006-11-27 01:16:54 UTC
clsung      2006-11-27 01:16:41 UTC

  FreeBSD ports repository

  Modified files:
    security/libprelude  Makefile distinfo pkg-plist 
    security/libpreludedb Makefile 
    security/prelude-manager Makefile 
    security/prelude-lml Makefile 
    security/snort       Makefile 
    security/samhain     Makefile 
  Log:
  - Update to 0.9.11
  - library version update of related ports
  
  Changelog libprelude:
  - Hook class comparison function. Accept NULL, equal, not equal operator.
  - Introduce better error checking in the idmef-class API, which is now
    considered public and might be used by external application. Rename
    error code to reflect the API.
  - Change to the way IDMEF listed element are handled. Specifying negative
    number as the position of the element from the low level API now allow
    to position the element at the specified (reversed) index. Using the
    high level API a negative index permit to address a list of element
    backward (replace an element).
  - Build fixes for SWIG > 1.3.27.
  - Modify idmef_value_match() so that it always unroll listed value
    (do it for both val1 and val2. Remove assertion, and let
    idmef_value_type_compare() return an error code in case there is an issue.
  - Handle path using IDMEF_LIST_APPEND or IDMEF_LIST_PREPEND as
    path using an undefined list index on idmef_path_get() call.
  - Make criteria parser accept (*) list index.
  - Implement comparison function for all IDMEF object.
  
  PR:             ports/104328
  Submitted by:   maintainer (Robin Gruyters)
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.36      +4 -3      ports/security/libprelude/Makefile
  1.19      +3 -3      ports/security/libprelude/distinfo
  1.17      +2 -2      ports/security/libprelude/pkg-plist
  1.19      +1 -1      ports/security/libpreludedb/Makefile
  1.28      +1 -1      ports/security/prelude-lml/Makefile
  1.36      +1 -1      ports/security/prelude-manager/Makefile
  1.39      +1 -1      ports/security/samhain/Makefile
  1.74      +1 -1      ports/security/snort/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 clsung freebsd_committer 2006-11-27 01:22:05 UTC
State Changed
From-To: open->closed

Committed. Thank You.